org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Enum ConnectiveStep.Connective

- java.lang.Object
- - java.lang.Enum<ConnectiveStep.Connective>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.ConnectiveStep.Connective

- All Implemented Interfaces:
    Serializable, Comparable<ConnectiveStep.Connective>
  Enclosing class:
    ConnectiveStep<S>

      public static enum ConnectiveStep.Connective
      extends Enum<ConnectiveStep.Connective>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND`
    `OR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectiveStep.Connective` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectiveStep.Connective[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final ConnectiveStep.Connective AND

    - #### OR

          public static final ConnectiveStep.Connective OR

  - ### Method Detail

    - #### values

          public static ConnectiveStep.Connective[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectiveStep.Connective c : ConnectiveStep.Connective.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectiveStep.Connective valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.